Subject: bug#51253: 28.0.60; Meta keys broken when viper is active

From: John Cummings <[email-masked]>
Date: Wed, 20 Oct 2021 08:24:54 +0000

Lars Ingebrigtsen <[email-masked]> wrote:

> John Cummings [email-masked] writes:
>
> > > > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=18182 was fixed in
> > > > 5d522b430bd5ecfb8f082906cd634883dbb68f3e. This changed viper-ESC-key
> > > > from <escape> to ESC, which resulted in a direct key binding of (27
> > > > . 'viper-intercept-ESC-key) while in the viper vi/insert states.
> > >
> > > Maybe that commit should just be reverted?
> >
> > I've looked into this some more, and I think reverting it is the
> > way that the entirety of the viper ESC-handling stack was designed
> > to function.
>
> I've now reverted it in emacs-28, and I'm reopening bug#18182.

Thanks, it's working again on my end! By the way, it had broken both
terminal and gui Emacs, just in different ways (re: the commit message).

I'll see what more I can do about the keymap logic.